From bc8625eab5d78af11fb0825dfd36595975e2bd9a Mon Sep 17 00:00:00 2001
From: Jools Wills <buzz@exotica.org.uk>
Date: Tue, 13 Sep 2011 17:11:01 +0100
Subject: [PATCH] changed: allow right thumb click from any controller for in game menu

---
 src/alt/run.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/src/alt/run.cpp b/src/alt/run.cpp
index 8b1cd80..ba1a5cc 100644
--- a/src/alt/run.cpp
+++ b/src/alt/run.cpp
@@ -80,7 +80,11 @@ static int GetInput(bool bCopy)
 	ReadInput();
 
 	if(PauseGame == 0) {
-		if (g_Gamepads[DefaultController].wButtons & XINPUT_GAMEPAD_RIGHT_THUMB) {
+		bool showGameMenu = false;
+		for(int n = 0; n < XGetPortCount(); n++)
+			if (g_Gamepads[n].wButtons & XINPUT_GAMEPAD_RIGHT_THUMB)
+				showGameMenu = true;
+		if (showGameMenu) {
 			exitGameMenu = false;
 			DxSoundStop();
 			GameOptionMenu();
-- 
1.7.3.1.msysgit.0

